Issue 118573 - removal of 3rd party components used by the report builder extension and which are non-compliant to Apache Third-Party Licensing Policy
removal of 3rd party components used by the report builder extension and whic...
Status: RESOLVED FIXED
Product: extensions
Classification: Extensions
Component: reportdesign
OOo 3.4 Beta
All All
: P2 critical (vote)
: ---
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks: 118566
  Show dependency treegraph
 
Reported: 2011-11-03 11:56 UTC by Oliver-Rainer Wittmann
Modified: 2011-12-08 07:07 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
patch to remove module jfreereport (77.71 KB, patch)
2011-11-04 10:29 UTC, Oliver-Rainer Wittmann
no flags Details | Diff
corrected patch to remove module jfreereport (77.33 KB, patch)
2011-11-04 10:53 UTC, Oliver-Rainer Wittmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver-Rainer Wittmann 2011-11-03 11:56:52 UTC
The following 3rd party components will be removed by this issue:
- flow-engine
- libxml
- libbase
- libcroco
- libfonts
- libformula
- liblayout
- libloader
- librepository
- libserializer

As the report builder will no longer function without these 3rd party components the enabling of its build in the configure will be deactivated.
Comment 1 Oliver-Rainer Wittmann 2011-11-03 12:44:12 UTC
Damn, I have forgotten to name 3rd party component core (core.zip) - it will also be removed.

Then, I figured out that 3rd party component flute is also only used by the report builder extension --> remove it, too
Comment 2 Oliver-Rainer Wittmann 2011-11-03 13:16:33 UTC
removing also 3rd party component sacjava as it is only used by the report builder extension.
Comment 3 Oliver-Rainer Wittmann 2011-11-04 10:29:03 UTC
Created attachment 76953 [details]
patch to remove module jfreereport
Comment 4 Oliver-Rainer Wittmann 2011-11-04 10:53:46 UTC
Created attachment 76954 [details]
corrected patch to remove module jfreereport
Comment 5 Oliver-Rainer Wittmann 2011-11-04 11:43:39 UTC
patch commited
Comment 6 r4zoli 2011-11-06 08:22:24 UTC
This will mean that the report builder will not available in AOOo, and code fully removed from svn and not placed in other place?

Which way will be the report builder bugs fixed in this case?
Comment 7 Oliver-Rainer Wittmann 2011-11-07 09:13:29 UTC
Reopening as the build of the report builder extension with the system's jars does not work.

ad comment from r4zoli:
The code of the report builder extension still belongs to the project. But it uses external libraries which can be no longer part of the project due to license issues. The source code of these libraries and the build of it have been removed.
Comment 8 Oliver-Rainer Wittmann 2011-12-08 07:07:27 UTC
fixed some time ago, but forgot to reflect here.